# Service_Types.h File Reference

`#include "ace/Service_Object.h"`
`#include "ace/Service_Types.inl"`

Include dependency graph for Service_Types.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Service_Type_Impl
| The abstract base class of the hierarchy that defines the contents of the ACE_Service_Repository. The subclasses of this class allow the configuration of ACE_Service_Objects, ACE_Modules, and ACE_Streams. More...
class | ACE_Service_Object_Type
| Define the methods for handling the configuration of ACE_Service_Objects. More...
class | ACE_Module_Type
| Define the methods for handling the configuration of ACE_Modules. More...
class | ACE_Stream_Type
| Define the methods for handling the configuration of ACE_Streams. More...

## Detailed Description

Id
  Service_Types.h,v 4.25 2005/10/28 16:14:55 ossama Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>